Package skyview.survey

# Class NeatGenerator

java.lang.Object
skyview.survey.SIAPGenerator
skyview.survey.NeatGenerator

All Implemented Interfaces:
  `ImageGenerator`

public class NeatGenerator extends SIAPGenerator
This class gets a set of candidates from a SIAP request

## Constructor Summary

Constructors
Constructor
Description
`NeatGenerator()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getBaseURL()`
Find the base URL for the SIAP service and adjust as needed

### Methods inherited from class skyview.survey.SIAPGenerator

`addPosToURL, getImages, getSurveyName, updateURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NeatGenerator

public NeatGenerator()

## Method Details

### getBaseURL

protected String getBaseURL()
Find the base URL for the SIAP service and adjust as needed

Overrides:
  `getBaseURL` in class `SIAPGenerator`